# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/CLI/Command.pm) perl(App/CLI/Extension.pm) perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Module/Build.pm) perl(Test/Builder/Module.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define module_version 1.0
%define module_name App-CLI-Plugin-Daemonize
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0
Release: alt1
Summary: for App::CLI::Plugin::Extension daemonize plugin module
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HO/HOLLY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
App::CLI::Plugin::Daemonize - daemonize plugin module

daemonize method setting

  # enable daemonize
  __PACKAGE__->config( daemonize => 1 );

or if --daemonize option is defined. it applies.

  # in MyApp/**.pm
  sub options {
      return ( "daemonize" => "daemonize" ) ;
  }
  
  # execute
  [kurt@localhost ~] ./myapp daemonize --daemonize


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*

%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1
- initial import by package builder

